// File:  ADTList\ListIfx.java

/**
 * Realization of a List ADT
 * 
 * @author Bary W Pollack
 * @version Dec. 31, 2000 - 23:00 PST
 */

// This is the List Interface

// Every List must provide implementations of these methods
// (Remember, each of these methods is 'public' by default)

interface ListIfx {
    void create();
    boolean isEmpty()              throws ListException;
    boolean isFull()               throws ListException;
    int size()                     throws ListException;
    void add(int index, Item item) throws ListException;
    void remove(int index)         throws ListException;
    void removeAll()               throws ListException;
    Item get(int index)            throws ListException;
    void display()                 throws ListException;
    String toString();
}
