// File:  ADTList\NItem.java

/**
 * Realization of a List ADT
 * 
 * @author Bary W Pollack
 * @version Dec. 31, 2000 - 23:00 PST
 */

// Represents an "Item" that contains an int
public class NItem extends Item {

    // Default constructor
    NItem() { }

    // Loads the data Item
    NItem(int nItem) {
        this.nItem = nItem;
    }

    // Accessor - returns the data Item
    public int getNitem() {
        return nItem;
    }
    
    // Mutator - sets the data Item
    public void setNitem(int nItem) {
        this.nItem = nItem;
    }

    // String representation of the data
    public String toString() {
        return "" + nItem;
    }

    private int nItem;

}
